ONVIF::PTZ::Elements::SendAuxiliaryCommand(3)

NAME
ONVIF::PTZ::Elements::SendAuxiliaryCommand

DESCRIPTION
Perl data type class for the XML Schema defined element SendAuxiliaryCommand from the namespace http://www.onvif.org/ver20/ptz/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ProfileToken

     $element->set_ProfileToken($data);
     $element->get_ProfileToken();

•   AuxiliaryData

     $element->set_AuxiliaryData($data);
     $element->get_AuxiliaryData();

METHODS

  new
 my $element = ONVIF::PTZ::Elements::SendAuxiliaryCommand->new($data);

Constructor. The following data structure may be passed to new():

 {
   ProfileToken => $some_value, # ReferenceToken
   AuxiliaryData => $some_value, # AuxiliaryData
 },

AUTHOR
Generated by SOAP::WSDL